---
name: "albumVideoDateCount"
mode: "kit"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## albumVideoDateCount

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

Retrieve Time Album smart video date statistics

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `IAlbumVideoDateCountReq` | Yes | - | Request body |

### Referenced Types

##### `interface` IAlbumVideoDateCountReq

| Property | Type | Description |
| --- | --- | --- |
| `stockId` | `number` | Inventory ID |
| `gid` | `string` | Home ID |
| `timeAlbumId` | `number` | Album ID |
| `type` | `string` | Type corresponding to the return value (optional) |

##### `interface` IFileUrl

| Property | Type | Description |
| --- | --- | --- |
| `fileUrl` | `string` | File path |
| `fileName` | `string` | File name (custom added, not returned by the API) |


### Examples

#### Request example

```typescript
import { albumVideoDateCount } from '@tuya-miniapp/cloud-api';

albumVideoDateCount({ stockId: 1, gid: '194137', timeAlbumId: 100 })
  .then((rows) => console.log(rows))
  .catch(console.error);
```

#### Response example

```json
[
  {
    "type": "today",
    "description": "Today",
    "startTime": 1700000000000,
    "endTime": 1700086400000,
    "coverInfo": { "fileUrl": "https://images.example.com/cover.jpg" }
  }
]
```
